Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Class FunctionCallException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException
                  org.jaxen.JaxenException
                      org.jaxen.FunctionCallException

All Implemented Interfaces:
  Serializable

public class FunctionCallException
extends JaxenException

`FunctionCallException` is thrown if an exception occurs during the evaluation of a function. This exception may include a root exception, such as if the real exception was failure to load an XML document via the document() function call.

Author:
  bob mcwhirter (bob @ werken.com), James Strachan
See Also:
  Serialized Form

Constructor Summary
`FunctionCallException(String message)` Create a new FunctionCallException with the specified detail message.
`FunctionCallException(String message, Exception nestedException)` Create a new FunctionCallException with the specified detail message and root cause.
`FunctionCallException(Throwable nestedException)` Create a new FunctionCallException with the specified root cause.

Method Summary
`Throwable` | `getNestedException()` Deprecated. replaced by `SAXPathException.getCause()`

Methods inherited from class org.jaxen.saxpath.SAXPathException
`getCause, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionCallException

    public FunctionCallException(String message)

  Create a new FunctionCallException with the specified detail message.

Parameters:
  `message` - the detail message

### FunctionCallException

    public FunctionCallException(Throwable nestedException)

  Create a new FunctionCallException with the specified root cause.

Parameters:
  `nestedException` - the cause of this exception

### FunctionCallException

    public FunctionCallException(String message,
                                 Exception nestedException)

  Create a new FunctionCallException with the specified detail message and root cause.

Parameters:
  `message` - the detail message
  `nestedException` - the cause of this exception

Method Detail

### getNestedException

    public Throwable getNestedException()

  Deprecated. replaced by `SAXPathException.getCause()`

  Returns the exception that caused this function call to fail. Use getCause() instead.

  Returns:
    the exception that caused this fucntion call to fail

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.